TTYNAME(3)

BEZEICHNUNG
ttyname - gib den Namen des Terminals zurück

SYNOPSIS
#include <unistd.h>

char *ttyname ( int desc );

BESCHREIBUNG
Die Funktion ttyname() gibt einen Zeiger auf den Pfadnamen des Terminal-Devices zurück, das mit dem Dateideskriptor desc geöffnet ist, oder NULL, wenn ein Fehler auftrat (z.B., wenn desc nicht mit einem Terminal verbunden ist).

KONFORM ZU
POSIX.1

SIEHE AUCH
isatty(3), fstat(3).